# Uses of Interface
org.bukkit.plugin.EventExecutor

Packages that use EventExecutor
Package
Description
co.aikar.timings
com.destroystokyo.paper.event.executor
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of EventExecutor in co.aikar.timings

Classes in co.aikar.timings that implement EventExecutor
Modifier and Type
Class
Description
`class`
`TimedEventExecutor`
Constructors in co.aikar.timings with parameters of type EventExecutor
Modifier
Constructor
Description
``
`TimedEventExecutor(@NotNull EventExecutor executor, @NotNull Plugin plugin, @Nullable Method method, @NotNull Class<? extends Event> eventClass)`
Wraps an event executor and associates a timing handler to it.

## Uses of EventExecutor in com.destroystokyo.paper.event.executor

Classes in com.destroystokyo.paper.event.executor that implement EventExecutor
Modifier and Type
Class
Description
`class`
`MethodHandleEventExecutor`
`class`
`StaticMethodHandleEventExecutor`

## Uses of EventExecutor in org.bukkit.plugin

Fields in org.bukkit.plugin with type parameters of type EventExecutor
Modifier and Type
Field
Description
`static final ConcurrentMap<Method,Class<? extends EventExecutor>>`
EventExecutor.`eventExecutorMap`
Methods in org.bukkit.plugin that return EventExecutor
Modifier and Type
Method
Description
`static @NotNull EventExecutor`
EventExecutor.`create(@NotNull Method m, @NotNull Class<? extends Event> eventClass)`
`@NotNull EventExecutor`
RegisteredListener.`getExecutor()`
Get the executor for this registration.
Methods in org.bukkit.plugin with parameters of type EventExecutor
Modifier and Type
Method
Description
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Registers the specified executor to the given event class
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Registers the specified executor to the given event class
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Deprecated, for removal: This API element is subject to removal in a future version.
Registers the given event to the specified listener using a directly passed EventExecutor
Constructors in org.bukkit.plugin with parameters of type EventExecutor
Modifier
Constructor
Description
``
`RegisteredListener(@NotNull Listener listener, @NotNull EventExecutor executor, @NotNull EventPriority priority, @NotNull Plugin plugin, boolean ignoreCancelled)`
``
`TimedRegisteredListener(@NotNull Listener pluginListener, @NotNull EventExecutor eventExecutor, @NotNull EventPriority eventPriority, @NotNull Plugin registeredPlugin, boolean listenCancelled)`